UIQueue (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.ajax4jsf.component.UIQueue class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component
Class UIQueue

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.ajax4jsf.component.UIQueue

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlQueue

    public abstract class UIQueue

extends javax.faces.component.UIComponentBase

Since:
  3.3.0
Author:
  Nick Belaevski

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`
`static java.lang.String` | `GLOBAL_QUEUE_NAME`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIQueue()`

Method Summary
`java.lang.String` | `getClientName(javax.faces.context.FacesContext context)`
`java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getName()`
`abstract java.lang.String` | `getOnbeforedomupdate()`
`abstract java.lang.String` | `getOncomplete()`
`abstract java.lang.String` | `getOnerror()`
`abstract java.lang.String` | `getOnrequestdequeue()`
`abstract java.lang.String` | `getOnrequestqueue()`
`abstract java.lang.String` | `getOnsizeexceeded()`
`abstract java.lang.String` | `getOnsubmit()`
`abstract int` | `getRequestDelay()`
`abstract int` | `getSize()`
`abstract java.lang.String` | `getSizeExceededBehavior()`
`abstract java.lang.String` | `getStatus()`
`abstract int` | `getTimeout()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isIgnoreDupResponses()`
`abstract void` | `setDisabled(boolean disabled)`
`abstract void` | `setIgnoreDupResponses(boolean ignoreDupResponses)`
`abstract void` | `setName(java.lang.String name)`
`abstract void` | `setOnbeforedomupdate(java.lang.String onbeforedomupdate)`
`abstract void` | `setOncomplete(java.lang.String oncomplete)`
`abstract void` | `setOnerror(java.lang.String onerror)`
`abstract void` | `setOnrequestdequeue(java.lang.String onrequestdequeue)`
`abstract void` | `setOnrequestqueue(java.lang.String onrequestqueue)`
`abstract void` | `setOnsizeexceeded(java.lang.String onsizeexceeded)`
`abstract void` | `setOnsubmit(java.lang.String onsubmit)`
`abstract void` | `setRequestDelay(int requestDelay)`
`abstract void` | `setSize(int size)`
`abstract void` | `setSizeExceededBehavior(java.lang.String behavior)`
`abstract void` | `setStatus(java.lang.String status)`
`abstract void` | `setTimeout(int timeout)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_QUEUE_NAME

    public static final java.lang.String GLOBAL_QUEUE_NAME

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIQueue

    public UIQueue()

Method Detail

### getName

    public abstract java.lang.String getName()

### setName

    public abstract void setName(java.lang.String name)

### getOnsubmit

    public abstract java.lang.String getOnsubmit()

### setOnsubmit

    public abstract void setOnsubmit(java.lang.String onsubmit)

### getOncomplete

    public abstract java.lang.String getOncomplete()

### setOncomplete

    public abstract void setOncomplete(java.lang.String oncomplete)

### getOnbeforedomupdate

    public abstract java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public abstract void setOnbeforedomupdate(java.lang.String onbeforedomupdate)

### getOnerror

    public abstract java.lang.String getOnerror()

### setOnerror

    public abstract void setOnerror(java.lang.String onerror)

### getOnsizeexceeded

    public abstract java.lang.String getOnsizeexceeded()

### setOnsizeexceeded

    public abstract void setOnsizeexceeded(java.lang.String onsizeexceeded)

### isDisabled

    public abstract boolean isDisabled()

### setDisabled

    public abstract void setDisabled(boolean disabled)

### getSize

    public abstract int getSize()

### setSize

    public abstract void setSize(int size)

### getSizeExceededBehavior

    public abstract java.lang.String getSizeExceededBehavior()

### setSizeExceededBehavior

    public abstract void setSizeExceededBehavior(java.lang.String behavior)

### getTimeout

    public abstract int getTimeout()

### setTimeout

    public abstract void setTimeout(int timeout)

### getRequestDelay

    public abstract int getRequestDelay()

### setRequestDelay

    public abstract void setRequestDelay(int requestDelay)

### isIgnoreDupResponses

    public abstract boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public abstract void setIgnoreDupResponses(boolean ignoreDupResponses)

### getOnrequestqueue

    public abstract java.lang.String getOnrequestqueue()

### setOnrequestqueue

    public abstract void setOnrequestqueue(java.lang.String onrequestqueue)

### getOnrequestdequeue

    public abstract java.lang.String getOnrequestdequeue()

### setOnrequestdequeue

    public abstract void setOnrequestdequeue(java.lang.String onrequestdequeue)

### getStatus

    public abstract java.lang.String getStatus()

### setStatus

    public abstract void setStatus(java.lang.String status)

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### getClientName

    public java.lang.String getClientName(javax.faces.context.FacesContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.